Package org.eclipse.viatra.query.runtime.matchers.tuple

## Class FlatTuple3

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple
  - - org.eclipse.viatra.query.runtime.matchers.tuple.Tuple
    - - org.eclipse.viatra.query.runtime.matchers.tuple.BaseFlatTuple
      - - org.eclipse.viatra.query.runtime.matchers.tuple.FlatTuple3

- All Implemented Interfaces:
    `ITuple`

      public final class FlatTuple3
      extends BaseFlatTuple

  Flat tuple with statically known arity of 3.
  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.Tuple

      `cachedHash`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FlatTuple3​(java.lang.Object element0, java.lang.Object element1, java.lang.Object element2)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(int index)` |
    `int` | `getSize()` |
    `protected boolean` | `internalEquals​(ITuple other)` | Compares the elements stored in this tuple to another tuple

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.Tuple

      `equals, hashCode, replaceAll, toImmutable`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.AbstractTuple

      `doCalcHash, getDistinctElements, getElements, invertIndex, invertIndexWithMupliplicity, raiseIndexingError, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatTuple3

          protected FlatTuple3​(java.lang.Object element0,
                               java.lang.Object element1,
                               java.lang.Object element2)

  - ### Method Detail

    - #### getSize

          public int getSize()

      Returns:
        number of elements

    - #### get

          public java.lang.Object get​(int index)

      Returns:
        the element at the specified index

    - #### internalEquals

          protected boolean internalEquals​(ITuple other)

      Description copied from class: `AbstractTuple`
      Compares the elements stored in this tuple to another tuple
      Overrides:
        `internalEquals` in class `AbstractTuple`